# Delivery reports The REST API uses message statuses and error codes in delivery reports, which refer to the state of the batch and can be present in either [Retrieve a delivery report](https://developers.sinch.com/docs/sms/api-reference/sms/delivery-reports/getdeliveryreportbybatchid) or sent as a callback. ## Retrieve a list of delivery reports - [GET /xms/v1/{service_plan_id}/delivery_reports](https://developers.sinch.com/docs/sms/api-reference/sms/delivery-reports/getdeliveryreports.md): Get a list of finished delivery reports. This operation supports pagination. ## Retrieve a delivery report - [GET /xms/v1/{service_plan_id}/batches/{batch_id}/delivery_report](https://developers.sinch.com/docs/sms/api-reference/sms/delivery-reports/getdeliveryreportbybatchid.md): Delivery reports can be retrieved even if no callback was requested. The difference between a summary and a full report is only that the full report contains the phone numbers in E.164 format for each status code. ## Retrieve a recipient delivery report - [GET /xms/v1/{service_plan_id}/batches/{batch_id}/delivery_report/{recipient_msisdn}](https://developers.sinch.com/docs/sms/api-reference/sms/delivery-reports/getdeliveryreportbyphonenumber.md): A recipient delivery report contains the message status for a single recipient phone number. ## Delivery Report - [POST deliveryReport](https://developers.sinch.com/docs/sms/api-reference/sms/delivery-reports/deliveryreport.md): A delivery report contains the status and status code for each recipient of a batch. To get a delivery report callback for a message or batch of messages, set the delivery_report field accordingly when creating a batch. The following is provided so you can better understand our webhooks/callbacks. Configuration of both webhooks and the type of delivery report requested happens when sending a batch. #### Callback URL The callback URL can either be provided for each batch or provisioned globally for your account in your Sinch Customer Dashboard. Learn how to configure a webhook/callback here. #### Type The type is the type of delivery report webhook. The response will vary depending on the webhook delivery report you selected when the batch was sent, so choose the appropriate selection under "One of". - The delivery_report_sms and delivery_report_mms types are documented under Delivery report. These are reports containing either a full report or summary report, depending on your selection at the time the batch was sent. - The recipient_delivery_report_sms and recipient_delivery_report_mms delivery report types are documented under Recipient delivery report. These are delivery reports for recipient phone numbers. If you set per_recipient for the delivery_report parameter when sending the batch, a recipient report gets sent to you for each status change for each recipient in your batch. If you set per_recipient_final, a recipient report gets sent to you for the final status of each recipient in your batch. ## Delivery Report - [POST deliveryReport](https://developers.sinch.com/docs/sms/api-reference/sms/webhooks/deliveryreport.md): A delivery report contains the status and status code for each recipient of a batch. To get a delivery report callback for a message or batch of messages, set the delivery_report field accordingly when creating a batch. The following is provided so you can better understand our webhooks/callbacks. Configuration of both webhooks and the type of delivery report requested happens when sending a batch. #### Callback URL The callback URL can either be provided for each batch or provisioned globally for your account in your Sinch Customer Dashboard. Learn how to configure a webhook/callback here. #### Type The type is the type of delivery report webhook. The response will vary depending on the webhook delivery report you selected when the batch was sent, so choose the appropriate selection under "One of". - The delivery_report_sms and delivery_report_mms types are documented under Delivery report. These are reports containing either a full report or summary report, depending on your selection at the time the batch was sent. - The recipient_delivery_report_sms and recipient_delivery_report_mms delivery report types are documented under Recipient delivery report. These are delivery reports for recipient phone numbers. If you set per_recipient for the delivery_report parameter when sending the batch, a recipient report gets sent to you for each status change for each recipient in your batch. If you set per_recipient_final, a recipient report gets sent to you for the final status of each recipient in your batch.